//
//  CompositionAttachment.swift
//  Tusker
//
//  Created by Shadowfacts on 3/14/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import Foundation

class CompositionAttachment: Codable {
    let data: CompositionAttachmentData
    var description: String
    
    init(data: CompositionAttachmentData, description: String = "") {
        self.data = data
        self.description = description
    }
}

extension CompositionAttachment: Equatable {
    static func ==(lhs: CompositionAttachment, rhs: CompositionAttachment) -> Bool {
        return lhs.data == rhs.data
    }
}
